import { Instant } from "@js-joda/core";
import { ExceptionDataBuilder } from "./ExceptionDataBuilder";
import { AbstractServiceRequest } from "./AbstractServiceRequest";
import { AbstractServiceReply } from "./AbstractServiceReply";
export declare abstract class AbstractServiceReplyBuilder<R extends AbstractServiceReply> {
    private replyId;
    private originatingRequestId;
    private timestamp;
    private success;
    private successMessage;
    private failureMessage;
    private exception;
    protected constructor(originatingRequest?: AbstractServiceRequest);
    setReplyId(replyId: string): AbstractServiceReplyBuilder<R>;
    setOriginatingRequestId(requestId: string): AbstractServiceReplyBuilder<R>;
    setTimestamp(timestamp: Instant): AbstractServiceReplyBuilder<R>;
    setSuccess(success: boolean): AbstractServiceReplyBuilder<R>;
    setSuccessMessage(successMessage: string): AbstractServiceReplyBuilder<R>;
    setFailureMessage(failureMessage: string): AbstractServiceReplyBuilder<R>;
    setException(exception: ExceptionDataBuilder): AbstractServiceReplyBuilder<R>;
    getReplyId(): string;
    getOriginatingRequestId(): string;
    getTimestamp(): Instant;
    getSuccess(): boolean;
    getSuccessMessage(): string;
    getFailureMessage(): string;
    getException(): ExceptionDataBuilder;
    abstract build(): R;
}
