"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractServiceReplyBuilder = void 0;
const core_1 = require("@js-joda/core");
class AbstractServiceReplyBuilder {
    replyId;
    originatingRequestId;
    timestamp;
    success;
    successMessage;
    failureMessage;
    exception;
    constructor(originatingRequest = null) {
        this.replyId = null;
        this.originatingRequestId =
            originatingRequest != null ? originatingRequest.requestId : null;
        this.timestamp = core_1.Instant.now();
        this.success = false;
        this.successMessage = null;
        this.failureMessage = null;
        this.exception = null;
    }
    setReplyId(replyId) {
        this.replyId = replyId;
        return this;
    }
    setOriginatingRequestId(requestId) {
        this.originatingRequestId = requestId;
        return this;
    }
    setTimestamp(timestamp) {
        this.timestamp = timestamp;
        return this;
    }
    setSuccess(success) {
        this.success = success;
        return this;
    }
    setSuccessMessage(successMessage) {
        this.successMessage = successMessage;
        this.failureMessage = null;
        return this;
    }
    setFailureMessage(failureMessage) {
        this.failureMessage = failureMessage;
        this.successMessage = null;
        return this;
    }
    setException(exception) {
        this.exception = exception;
        return this;
    }
    getReplyId() {
        return this.replyId;
    }
    getOriginatingRequestId() {
        return this.originatingRequestId;
    }
    getTimestamp() {
        return this.timestamp;
    }
    getSuccess() {
        return this.success;
    }
    getSuccessMessage() {
        return this.successMessage;
    }
    getFailureMessage() {
        return this.failureMessage;
    }
    getException() {
        return this.exception;
    }
}
exports.AbstractServiceReplyBuilder = AbstractServiceReplyBuilder;
//# sourceMappingURL=AbstractServiceReplyBuilder.js.map