"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExceptionDataBuilder = void 0;
class ExceptionDataBuilder {
    exceptionType;
    exceptionCode;
    exceptionMessage;
    stackTrace;
    cause;
    constructor() {
        this.exceptionType = null;
        this.exceptionCode = null;
        this.exceptionMessage = null;
        this.stackTrace = null;
        this.cause = null;
    }
    setExceptionType(exceptionType) {
        this.exceptionType = exceptionType;
        return this;
    }
    setExceptionCode(exceptionCode) {
        this.exceptionCode = exceptionCode;
        return this;
    }
    setExceptionMessage(exceptionMessage) {
        this.exceptionMessage = exceptionMessage;
        return this;
    }
    setStackTrace(stackTrace) {
        this.stackTrace = stackTrace;
        return this;
    }
    setCause(cause) {
        this.cause = cause;
        return this;
    }
    getExceptionType() {
        return this.exceptionType;
    }
    getExceptionCode() {
        return this.exceptionCode;
    }
    getExceptionMessage() {
        return this.exceptionMessage;
    }
    getStackTrace() {
        return this.stackTrace;
    }
    getCause() {
        return this.cause;
    }
    build() {
        const output = {
            exceptionType: this.getExceptionType(),
            exceptionCode: this.getExceptionCode(),
            exceptionMessage: this.getExceptionMessage(),
            stackTrace: this.getStackTrace(),
            cause: this.getCause().build()
        };
        return output;
    }
}
exports.ExceptionDataBuilder = ExceptionDataBuilder;
//# sourceMappingURL=ExceptionDataBuilder.js.map