"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PersonNameBuilder = void 0;
class PersonNameBuilder {
    title;
    firstName;
    middleName;
    lastName;
    constructor() {
        this.title = undefined;
        this.firstName = null;
        this.middleName = undefined;
        this.lastName = null;
    }
    setTitle(title) {
        this.title = title;
        return this;
    }
    setFirstName(firstName) {
        this.firstName = firstName;
        return this;
    }
    setMiddleName(middleName) {
        this.middleName = middleName;
        return this;
    }
    setLastName(lastName) {
        this.lastName = lastName;
        return this;
    }
    clear() {
        this.title = undefined;
        this.firstName = null;
        this.middleName = undefined;
        this.lastName = null;
        return this;
    }
    getTitle() {
        return this.title;
    }
    getFirstName() {
        return this.firstName;
    }
    getMiddleName() {
        return this.middleName;
    }
    getLastName() {
        return this.lastName;
    }
    hasTitle() {
        return this.title != undefined;
    }
    hasFirstName() {
        return this.firstName != null;
    }
    hasMiddleName() {
        return this.middleName != undefined;
    }
    hasLastName() {
        return this.lastName != null;
    }
    build() {
        return {
            title: this.title,
            firstName: this.firstName,
            middleName: this.middleName,
            lastName: this.lastName
        };
    }
}
exports.PersonNameBuilder = PersonNameBuilder;
//# sourceMappingURL=PersonNameBuilder.js.map