"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostalAddressBuilder = void 0;
class PostalAddressBuilder {
    address;
    street;
    city;
    state;
    countryCode;
    postalCode;
    constructor() {
        this.address = null;
        this.street = null;
        this.city = null;
        this.state = null;
        this.countryCode = null;
        this.postalCode = null;
    }
    setAddress(address) {
        this.address = address;
        return this;
    }
    setStreet(street) {
        this.street = street;
        return this;
    }
    setCity(city) {
        this.city = city;
        return this;
    }
    setState(state) {
        this.state = state;
        return this;
    }
    setCountryCode(countryCode) {
        this.countryCode = countryCode;
        return this;
    }
    setPostalCode(postalCode) {
        this.postalCode = postalCode;
        return this;
    }
    build() {
        if (!this.address)
            throw Error("Address must be non-null");
        if (!this.street)
            throw Error("Street must be non-null");
        if (!this.city)
            throw Error("City must be non-null");
        if (!this.state)
            throw Error("State must be non-null");
        if (!this.countryCode)
            throw Error("CountryCode must be non-null");
        if (!this.postalCode)
            throw Error("PostalCode must be non-null");
        return {
            address: this.address,
            street: this.street,
            city: this.city,
            state: this.state,
            countryCode: this.countryCode,
            postalCode: this.postalCode
        };
    }
}
exports.PostalAddressBuilder = PostalAddressBuilder;
//# sourceMappingURL=PostalAddressBuilder.js.map